\documentclass{article}
%  main document, called main.tex
\usepackage{tikz}
\usepackage[T1]{fontenc}
\usepackage{uarial}
\renewcommand{\familydefault}{\sfdefault}
\usepackage{amsmath}
\usepackage[math-style=upright]{unicode-math}
\setmathfont{Arial}
\usetikzlibrary{external}
\tikzexternalize[prefix=./pdfs/] %  activate
\definecolor{drawColor}{RGB}{0,0,0}
	\usepackage{tikz}
	\begin{document}
		
	\begin{figure}
		%Do not try to scale figure in .tex or you loose font size consistency
	    	\centering
		%The code to input the plot is extremely simple
		\input{SI5-figb.tex}
		%Captions and Labels can be used since this is a figure environment
		\label{plot:test}
	\end{figure}
	
\end{document}